@import url('https://fonts.googleapis.com/css2?family=Delius&family=Open+Sans:ital,wght@0,300..800;1,300..800&family=Pacifico&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Delius&family=Delius+Swash+Caps&family=Open+Sans:ital,wght@0,300..800;1,300..800&family=Pacifico&display=swap');
*{
    margin: 0px;
    padding: 0px;
}

nav{
    background-color: rgb(21,21,21);
    color: white;
    height: 10vh;
    max-width: 100vw;
    display: flex;
    justify-content: space-between;  /*it take website name to left and nav links to right*/
    align-items: center;  /*align items verticaly center*/
    font-family: "Delius", cursive;
    font-size: 1.5rem;
    padding: 0 20px;
}

nav div{
    cursor: pointer;
}

.navLinks{
    position: relative;
    display: flex;
    align-items: center;
}

nav div a{
    text-decoration: none;
    color: white;
}

.navLinks a, .navLinks .aboutTag{
    transition: opacity 0.3sec;
}

.navLinks .aboutTag{
    opacity: 0;
    pointer-events: none;
    position: absolute;
    margin-left: 15px;

}

.navLinks:hover a{
    opacity: 0;
    pointer-events: none;
}

.navLinks:hover .aboutTag{
    opacity: 1;
    pointer-events: auto;
}

.gameContainer{
    display: flex;
    justify-content: center;
    margin-top: 60px;
}

.container{
    display: grid;
    grid-template-rows: repeat(3,12vw);
    grid-template-columns: repeat(3,12vw);
    margin-left: 20px;
}

.box{
    border: 2px solid black;
    display: flex;
    justify-content: center;
    align-items: center;
    font-size: 8vw;
    font-family: "Delius", cursive;
    cursor: pointer;
}

.box:hover{
    background-color: rgba(171, 164, 177, 0.806);
}

.gameInfo{
    width: 50vw;
    padding: 0 44px;
}

.heading{
    margin-top: 25%;
    display: flex;
    justify-content: center;
}

.turnInfo{
    margin-top: 15%;
    margin-bottom: 15%;
    display: flex;
    justify-content: center;
}

.turnInfo span{
    font-size: 1.5em;
    padding-left: 3vw;
    padding-right: 3vw;
}

.info{
    display: none;
}

.gameInfo h1{
    font-size: 3vw;
    font-family: "Delius", cursive;
    cursor: default;
}

.reset{
    height: 5vh;
    margin-top: 10vh;
    display: flex;
    justify-content: center;
    align-items: center;
}

.reset button{
    height: 5vh;
    padding-left: 1.5vw;
    padding-right: 1.5vw;
    padding-top: 0.5vh;
    padding-bottom: 0.5vh;
    font-size: 1.5em;
    border: none;
    cursor: pointer;
    border-radius: 3px;
    background-color: rgba(196, 192, 200, 0.806);
}

.reset button:hover{
    background-color: #b3bac0;
    border: 2px solid black;
    border-radius: 5px;
}

.reset button:active{
    background-color: white;
    box-shadow: none;
}

#resetBTN{
    display: none;
}
.bl-0{
    border-left: 0px;
}

.br-0{
    border-right: 0px;
}

.bb-0{
    border-bottom: 0px;
}

.bt-0{
    border-top: 0px;
}

@media (max-width: 500px) {
    .gameContainer{
        display: block;
        
    }
    
    .container{
        margin-left: 32.5vw;

    }

    .gameInfo{
        width: 100%;
        padding: 0;
    }

    .gameInfo h1{
        font-size: 6vw;
    }

    .container{
        display: grid;
        grid-template-rows: repeat(3,25vw);
        grid-template-columns: repeat(3,25vw);
        margin: 0;
    }

    .bigBox{
        display: flex;
        justify-content: center;
    }
    .box{
        font-size: 18vw;
    }
    .turnInfo{
        margin-left: 3vw;
        margin-right: 3vw;
        padding: 1vh 0 1vh 0;
    }
    .heading{
        margin-top: 15%;
    }
    .turnInfo{
        margin-top: 10%;
        margin-bottom: 5%;
    }
}

@media (max-width: 768px){ /*in phones and tablets hover is not good*/
    .box:hover{
        background-color: rgb(251, 251, 251);
    }
}

@media (min-width: 1100px){
    .container{
        display: grid;
        grid-template-rows: repeat(3,10vw);
        grid-template-columns: repeat(3,10vw);
        margin-left: 20px;
    }
}

.bubble{
    width: 11px;
    height: 12px;
    position: fixed;
    top: 10vh;
}

@keyframes fall{
        to{
            transform: translateY(100vh) rotateY(860deg);
    }
}